﻿using FlexCel.XlsAdapter;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace App1
{
  public partial class MainPage : ContentPage
  {
    #region Constructor
    public MainPage()
    {
      InitializeComponent();
    }
    #endregion

    #region GUI events
    private void Button_Clicked(object sender, EventArgs e)
    {
      var l_xfData = new XlsFile();

      using (var l_msData = new MemoryStream(Properties.Resources.DataTemplate))
      {
        l_xfData.Open(l_msData);
      }

      var l_strFilePath = Path.Combine(Environment.GetFolderPath(Environment.SpecialFolder.LocalApplicationData), "Test.xlsx");

      if (File.Exists(l_strFilePath)) File.Delete(l_strFilePath);

      l_xfData.Save(l_strFilePath);
    }
    #endregion
  }
}
